Subject: Re: [PATCH v1 1/2] t/README: remove mention of adding copyright notices

From: Thomas Gummerer <[email-masked]>
Date: Fri, 8 Dec 2017 20:47:36 +0000

On 12/05, Jonathan Nieder wrote:
> Hi,
> 
> Thomas Gummerer wrote:
> 
> > We generally no longer include copyright notices in new test scripts.
> > However t/README still mentions it as something to include at the top of
> > every new script.
> 
> Where can I read more about this change?  Was it a deliberate change
> or something that simply happened?

I'm not sure if it was a deliberate change, I just noticed that most
new test files don't have a copyright notice anymore.

    $ git grep "Copyright (c)" t/* | sed -E 's/.*?Copyright .c. ([[:digit:]]+).*?/\1/' | sort | uniq -c
         61 2005
         40 2006
         55 2007
         32 2008
         31 2009
         30 2010
         10 2011
         14 2012
          4 2013
          3 2014
          1 2015
          5 2016

While we may be adding less new test files, we definitely added a few
in 2017, for example t/t7521-ignored-mode.sh in 371c80c746 ("status:
test ignored modes", 2017-10-30), or t/t0025-crlf-renormalize.sh in
9472935d81 ("add: introduce "--renormalize"", 2017-11-16).

> Thanks,
> Jonathan